Subject: RE: RE: Valid Race Condition related to draft "draft-ietf-mpls-cr lsp -modify-03.txt"

From: "Don Fedyk" <[email-masked]>
Date: Fri, 13 Apr 2001 11:21:07 -0400

Loa

The draft was targeted for strictly routed LSP ingress to egress
that are generated by constraints. The function it provide is 
defining the behavior of TLVs defined to correlate the paths 
attributes. The downstream nodes recognize this as a path 
request for the same LSP, with changed attributes, allowing path 
processing to continue where it might otherwise be aborted. 
Your solution below yields non optimal paths in many cases 
and provides the motive for the draft. The paths share LSPid.

Don

> -----Original Message-----
> From: Loa Andersson [mailto:[email-masked]]
> Sent: Thursday, April 12, 2001 10:04 AM
> To: Fedyk, Don [BL60:2868:EXCH]
> Cc: Sharma Prem; manoj juneja; [email-masked]
> Subject: Re: RE: Valid Race Condition related to draft
> "draft-ietf-mpls-crlsp -modify-03.txt"
> 
> 
> Don,
> 
> do I understand you correctly that the draft is applicable only in
> the situation where you have a strictly routed LSP ingress to egress?
> If so I rest my case, but I also fail to see why we need the draft.
> Just "locally" set up your alternate paths, signal that the traffic
> will be sent on the new path, switch over the traffic and tear the
> old path down. Nothing modificational (is ther such a word?) about
> it.
> 
> /Loa
> 
> ----- Original Message -----
> > Loa, Sharma, Manoj:
> > 
> > Let me see if I can clarify my position on this.
> > My mail has been backed up lately. Sorry for the delay.
> 
> > > -- 
> > > Loa Andersson
> > > Chief Architect,
> > > Utfors Research, Architecture and Future Lab (URAX)
> > > Utfors AB
> > > Råsundavägen 12
> > > Box 525, 169 29 Solna
> > > Office          +46 8 5270 2000
> > > Office direct   +46 8 5270 5038
> > > Mobile          +46 70 848 5038
> > > Email           [email-masked]
> > > WWW             www.utfors.se
> > > 
> > 
> 
>